<?xml version="1.0"?>
<queryset>

<fullquery name="dtype::proc::params_list.select_proc_metadata"> 
	<querytext>
      select dpp.param_id,
             dpp.name,
             dpp.param_type,
             dpp.is_required,
             dpp.default_value
        from dtype_proc_params dpp
       where dpp.proc = :proc 
	</querytext>
</fullquery>

<fullquery name="dtype::proc::param_values_list.select_proc_metadata"> 
	<querytext>
      select dpv.value_id,
             dpv.call_id,
             dpp.param_id,
             dpp.name,
             dpp.param_type,
             dpv.param_source,
             dpp.is_required,
             dpp.default_value,
             dpv.value
        from dtype_proc_param_values dpv 
             join dtype_proc_params dpp using (param_id)
       where dpp.proc = :proc 
         and dpv.call_id = :call_id
	</querytext>
</fullquery>

</queryset>
